#!/bin/sh

REPO=`pwd`
WORKDIR="$(dirname $0)"
cd $WORKDIR
PLUGIN_NAME="$(basename `pwd`)"
echo "\n\e[32mPlugin $PLUGIN_NAME\e[m"
cd ..

INFOS="$PLUGIN_NAME/infos.xml"
if [ ! -f "$INFOS" ]; then
	echo "\e[31mNo infos.xml file\nAbort !!!\n\e[m"
	exit
fi

VERSION=`sed -E '/version>/!d; s/^[^>]*>\s*([^<]*)\s*<\/version>.*\s*/\1/; s/\./_/g' $INFOS`
echo $VERSION | sed 's/_/\./g; s/^/Version : /'

echo "Archive : $PLUGIN_NAME-$VERSION.zip"
echo "Dossier : $REPO\n"
# TMP="$PLUGIN_NAME*.zip"
# rm -f $TMP

LIB="highlight.js"
ZIP_NAME="$REPO/$PLUGIN_NAME-$VERSION"

zip -oq $ZIP_NAME \
	$PLUGIN_NAME/* \
	$PLUGIN_NAME/.htaccess \
	-x $PLUGIN_NAME/styles.txt

zip -ouqr $ZIP_NAME \
	$PLUGIN_NAME/lang \
	$PLUGIN_NAME/css \
	$PLUGIN_NAME/$LIB/build/demo \
	$PLUGIN_NAME/$LIB/build/highlight.pack.js \
	$PLUGIN_NAME/$LIB/LICENSE \
	$PLUGIN_NAME/$LIB/AUTHORS.en.txt \
	-x *.bak */.git*

cd $OLDPWD
