<?php
if (!defined('PLX_ROOT')) exit;

plxToken::validateFormToken();
if(filter_has_var(INPUT_POST, $plxPlugin::PARAM1)) {
	$value = trim(filter_input(INPUT_POST, $plxPlugin::PARAM1, FILTER_SANITIZE_STRING));
	if(array_key_exists($value, $plxPlugin->themes)) {
		$plxPlugin->setParam($plxPlugin::PARAM1, $value, 'string');
		$plxPlugin->saveParams();
		header('Location: parametres_plugin.php?p='.$plugin);
		exit;
	}
}

$theme = $plxPlugin->getParam($plxPlugin::PARAM1);
if(empty($theme) or !array_key_exists($theme, $plxPlugin->themes)) {
	$theme = 'default';
}

?>
<div id="<?php echo $plugin; ?>-container">
	<form id="form_<?php echo $plugin; ?>" method="post">
		<?php echo plxToken::getTokenPostMethod(); ?>
		<div class="in-action-bar">
			<button type="button" id="id_demo" /><?php $plxPlugin->lang('DEMO'); ?></button>
			<button type="button" id="id_languages" /><?php $plxPlugin->lang('LANGUAGES'); ?></button>
			<input type="submit" value="<?= defined('L_SAVE') ? L_SAVE : L_ARTICLE_UPDATE_BUTTON; ?>" />
		</div>
		<div class="<?php echo $plugin; ?>">
			<label for="id_theme"><?php $plxPlugin->lang('THEME'); ?></label>
<?php plxUtils::printSelect($plxPlugin::PARAM1, $plxPlugin->themes, $theme); ?>
		</div>
	</form>
	<pre class="<?= $plugin; ?>"><code class="php hljs"><?= strtr(file_get_contents(__DIR__ . "/$plugin.php"), array('<'=>'&lt;')); ?></code></pre>
	<div id="id_languages_list" class="languages">
		<div></div>
		<button type="button" onclick="this.parentElement.classList.remove('active'); "><?php $plxPlugin->lang('CLOSE'); ?></button>
	</div>
</div>

<a id="id_lnk_demo" href="<?= $plxPlugin::BASE; ?>demo/" target="_blank" style="display: none;">&nbsp;</a>
<script type="text/javascript">
	(function() {
		document.getElementById('id_demo').addEventListener('click', function(event) {
			event.preventDefault();
			const lnk = document.getElementById('id_lnk_demo');
			if(lnk != null) {
				lnk.click();
			}
		});

		document.getElementById('id_languages').addEventListener('click', function(event) {
			event.preventDefault();
			const popup = document.getElementById('id_languages_list');
			if(popup != null) {
				if(typeof popup.dataset.ready == 'undefined') {
					const el = popup.querySelector('div');
					el.innerHTML = '<span>' + hljs.listLanguages().join('</span> <span>') + '</span>';
					popup.dataset.ready = '';
				}
			}
			popup.classList.add('active');
		});

		function enableStyle(title) {
			const styles = document.head.querySelectorAll('link[title]:not([disabled])');
			for(var i=0, iMax=styles.length; i<iMax; i++) {
				const el = styles[i].disabled = true;
			}

			var st = document.head.querySelector('link[title="' + title + '"]');
			if(st != null) {
				st.disabled = false;
			}
		}

		document.getElementById('id_<?= $plxPlugin::PARAM1; ?>').addEventListener('change', function(event) {
			enableStyle(event.target.value);
		});

		enableStyle('<?= $theme; ?>');
 	})();
</script>
