(function() {
	'use strict';

	const thisScript = document.scripts[document.scripts.length - 1];
	const urlBase = thisScript.src.replace(/[^/]*\.js$/, '');
	const pluginClass = urlBase.replace(/.*\/([\w-]+)\/?$/, '$1');

	// test if jQuery is loading by an other plugin
	if(typeof jQuery !== 'function') {
		var loadingJquery = false;
		for(var i=0, iMax=document.scripts.length; i<iMax; i++) {
			const s = document.scripts[i];
			if(s.hasAttribute('src') && /\/jquery[-.\d]*(?:\.min)\.js$/i.test(s.src)) {
				loadingJquery = true;
				console.log(s.src + ' is loading by an other script...');
				break;
			}
		}
		if(! loadingJquery) {
			const myScript = document.createElement('SCRIPT');
			myScript.type = 'text/javascript';
			myScript.src =  thisScript.dataset.src;
			myScript.onload = function() {
				console.log(myScript.src + ' loaded');
			};
			document.head.appendChild(myScript);
		}
	}

	// Only for version >= 10.0
	if(typeof hljs.versionString != 'undefined') {
		console.log('Highlight version ', hljs.versionString);
	}

	hljs.initHighlightingOnLoad();

	var timer1 = null;

	function copyCode(event) {
		event.preventDefault();
		const range = document.createRange();
		const selection = window.getSelection();
		selection.removeAllRanges();
		const el = event.target;
		range.selectNode(el.code);
		selection.addRange(range);
		try {
			const result = document.execCommand('copy');
			if(result) {
				el.classList.add('copied');
				timer1 = setTimeout(function() {
					el.classList.remove('copied');
					clearTimeout(timer1);
				}, 5000);
			}
		} catch(err) {
			alert(err);
		}
		if(typeof selection.removeRange == 'function') {
			selection.removeRange(range);
		} else if(typeof selection.removeAllRanges == 'function') {
			selection.removeAllRanges(range);
		}
	}

	// Button "copy" to the clipboard
	const areas = document.querySelectorAll('pre > code');
	for(var i=0, iMax=areas.length; i<iMax; i++) {
		const btn = document.createElement('BUTTON');
		btn.type = 'button';
		btn.className = pluginClass + '-copy';
		btn.textContent = 'copy';
		btn.code = areas[i];
		btn.addEventListener('click', copyCode);
		const preformat = areas[i].parentNode;
		preformat.parentNode.insertBefore(btn, preformat);
	}
})();
